v1.0.0
OpenAPI 3.1.0

Schedule a one-time send

US region

Client Libraries

Schedule a one-time send

Schedule a one-time send (referred to as a "newsletter" in our APIs) to send at a specific time. It must be in a draft state. If it has already been sent, you'll get a 400 error. If it's already scheduled, this endpoint updates the scheduled time.

The recipients are defined when you create/update the one-time send. If you're not sure who will receive it, you can use the List one-time sends endpoint to get a list of one-time sends and their recipients.

Path Parameters
  • newsletter_id
    Type: integer
    required

    The identifier of a one-time send.

Body
required
application/json

Optional one-time send rate limiting. If you set rate_limit_email_rate or rate_limit_time_period, set both; rate_limit_spread can be set alone.

  • Type: object

    Optional one-time send rate limiting. If you set rate_limit_email_rate or rate_limit_time_period, set both; rate_limit_spread can be set alone.

Responses
  • application/json
  • application/json
  • 404

    The one-time send does not exist.

  • application/json
  • application/json
Request Example for post/v1/newsletters/{newsletter_id}/schedule
{
  "scheduled_at": 1719849600,
  "rate_limit_email_rate": 500,
  "rate_limit_spread": true,
  "rate_limit_time_period": 60,
  "timezone": "America/New_York",
  "tz_match_enabled": false
}
{
  "newsletter": {
    "content_ids": [
      45
    ],
    "created": 1481653919,
    "deduplicate_id": "128275:1484870424",
    "id": 128275,
    "name": "Weekly Product Update",
    "recipient_segment_ids": [
      42,
      99
    ],
    "sent_at": null,
    "subscription_topic_id": 5,
    "type": "email",
    "updated": 1481653929
  }
}